Name:		perl-Devel-CheckBin
Version:	0.04
Release:	1%{?_dist_release}
Summary:	Check that a command is available
License:	GPL+ or Artistic
Group:          Development/Libraries
URL:		http://search.cpan.org/dist/Devel-CheckBin/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/Devel-CheckBin-%{version}.tar.gz

Vendor:         Project Vine
Distribution:   Vine Linux

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Module Build
BuildRequires:	perl-Module-Build
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(CPAN::Meta::Prereqs)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(utf8)
# Module Runtime
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Devel::CheckBin is a perl module that checks whether a particular command is
available.

%prep
%setup -q -n Devel-CheckBin-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%check
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::CheckBin.3*

%changelog
* Fri May 17 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 0.04-1
- new upstream release.
- rebuilt with perl-5.26.

* Sat Nov 22 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.02-4
- Initial build for Vine Linux
- built with perl 5.16.3

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.02-3
- Perl 5.20 rebuild

* Fri Aug 15 2014 Paul Howarth <paul@city-fan.org> - 0.02-2
- Sanitize for Fedora submission

* Fri Aug 15 2014 Paul Howarth <paul@city-fan.org> - 0.02-1
- Initial RPM version
